function plot_CGM_edge_with_no_edge(model_noedge, modelCGM)

result_no_edge = plot_CGM_edge(model_noedge);

result = plot_CGM_edge(modelCGM);

    num_ber_edge = 2*[0:1:size(result.mean_HammingLoss,2)];
    errorbar(num_ber_edge,[result_no_edge.mean_HammingLoss result.mean_HammingLoss],[result_no_edge.std_HammingLoss result.std_HammingLoss], '-or','linewidth', 2);
%     semilogy(model_CGM.obj_hist_all,'-r','linewidth',2); 
% hold on
% semilogy(obj_hist_all_no_graph,'--m','linewidth',2);
% hold on
% semilogy(obj_hist_chowliu,'-c','linewidth',2);
% hold on
% semilogy(obj_hist_all_graph,'-.b','linewidth',2);
% hold on

box on 
grid on
grid
box on
legend('Hamming Loss','NE')
axis([-1 19 result.mean_HammingLoss(end)-0.001 result.mean_HammingLoss(1)+0.001])
grid
box on
set(gca,'FontSize',13); 
xlabel('# added edges','FontSize',14)
ylabel('Criterion value','FontSize',14);    



    figure
    errorbar(num_ber_edge,[result_no_edge.mean_Macro_F1 result.mean_Macro_F1],[result_no_edge.std_Macro_F1 result.std_Macro_F1], '-+r','linewidth', 2);
        hold on
    errorbar(num_ber_edge,[result_no_edge.mean_Micro_F1 result.mean_Micro_F1],[result_no_edge.std_Micro_F1 result.std_Micro_F1], '-sb','linewidth', 2);
        hold on
    errorbar(num_ber_edge,[result_no_edge.mean_Precision_all result.mean_Precision_all],[result_no_edge.std_Precision_all result.std_Precision_all], '-dc','linewidth', 2);
        hold on
    errorbar(num_ber_edge,[result_no_edge.mean_Recall_all result.mean_Recall_all],[result_no_edge.std_Recall_all result.std_Recall_all], '-^m','linewidth', 2);

    
    
axis([-1 19 0.48 0.95])

box on 
grid on
grid
box on
legend('Macro-F1','Micro-F1','Precision','Recall', 'Location','NE')
% axis([0 300 0.53 obj_hist_chowliu(1)])
grid
box on
set(gca,'FontSize',13); 
xlabel('# added edges','FontSize',14)
ylabel('Criterion Value','FontSize',14);    